Bug 1547049 - conu does not work on ppc64 because there is no docker package on ppc64
Summary: conu does not work on ppc64 because there is no docker package on ppc64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: conu
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eliska Slobodova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-02-20 12:26 UTC by Jan Koscielniak
Modified: 2019-02-11 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-11 16:30:11 UTC


Attachments (Terms of Use)

Description Jan Koscielniak 2018-02-20 12:26:55 UTC
tracker bug as per https://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures

conu has broken dependencies in the rawhide tree:
On ppc64:
        python3-conu-0.2.0-1.fc28.noarch requires docker
        python3-conu-0.2.0-1.fc28.noarch requires source-to-image
On ppc64:
        python2-conu-0.2.0-1.fc28.noarch requires docker


Since there is no docker and no source-to-image package on this architecture, conu can't be built on ppc64. As a solution I have excluded this architecture.

Comment 1 Jan Kurik 2018-08-14 10:15:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.